{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% block content %}


<div class="box box-primary">
    <head>
        <title>{% block title %}{% if dealer %} Edit Dealers {% else %} Create Dealers {% endif%} {% endblock %}</title>
    </head>

    <div class="box-header with-border">
        <span id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
        {% if dealer %}
        <h3 class="box-title"><p>Edit Dealer Profile</p></h3>
        {% else %}
        <h3 class="box-title"><p>Create Dealer Profile</p></h3>
        {% endif %}
    </div>

    <form method="post" novalidate id="myForm">
        {% csrf_token %}

        <div class="box-body">

            <div class="form-group col-md-12 col-sm-12">
                {% if dealer %}
                <div class="form-group">
                    <label class="control-label ">Dealer Code</label>
                    <div class="controls ">
                        <input type="text" name="dealer_code" value="{{dealer.dealer.user_code}}" class="form-control" readonly>
                        <!--<input type="hidden" name="dealer_code" value="{{dealer.dealer.id}}"/>-->
                    </div>
                </div>

                {% else %}
                    <div class="form-group">
                        <label for="dealer" class="control-label">Dealer Code*</label>
                        <div class="controls">
                            <input id="id_dealer" type="text" name="dealer_code" class="textinput textInput form-control">
                        </div>
                    </div>
                {% endif %}
            </div>

            <!--<div class="form-group col-md-12 col-sm-12">-->
                <!--{{form.brand|as_crispy_field}}-->
            <!--</div>-->

            <div class="form-group col-md-12 col-sm-12">
                {{form.company_name|as_crispy_field}}
                <input type="hidden" name="brand" id="txtbrand">
            </div>


            <div class="form-group col-md-12 col-sm-12">
                {{form.company_address|as_crispy_field}}
            </div>

            <div class="form-group col-md-12 col-sm-12">
                {{form.shipping_address|as_crispy_field}}
            </div>

            <!--<div class="form-group col-md-12 col-sm-12">-->
                <!--{% if update %}-->
                <!--<label for="state" class="control-label ">State</label>-->
                <!--<input id="state" type="text" name="state" value="{{ update.state }}"-->
                       <!--class="textinput textInput form-control">-->
                <!--{% else %}-->
                <!--<label for="state" class="control-label ">State</label>-->
                <!--<input type="text" name="state" value="{{ state }}"-->
                <!--class="textinput textInput form-control">-->
                <!--{% endif %}-->
            <!--</div>-->
                <!--<input type="hidden" id="hdnstate" value="{{update.state}}">-->
                <!--<input type="hidden" id="hdncity"  value="{{update.city}}">-->
                <!--<div class="form-group col-md-12 col-sm-12">-->
                    <!--<div class="form-group">-->
                        <!--<label class="control-label ">State code*</label>-->
                        <!--<div class="controls ">-->
                            <!--<select name="state_code" required="" id="id_state_code" class="select form-control">-->
                                <!--<option value="">-&#45;&#45;&#45;&#45;&#45;&#45;&#45;&#45;</option>-->
                                <!--{% for item in objstate %}-->
                                <!--<option  value="{{item.state_id}}">{{item.state_code}}</option>-->
                                <!--{% endfor %}-->
                            <!--</select>-->
                        <!--</div>-->
                    <!--</div>-->
                <!--</div>-->
            
                <div class="form-group col-md-12 col-sm-12">
                    {% if dealer %}
                        <div id="div_id_state_code" class="form-group">
                            <label for="id_state_code" class="control-label  requiredField">
                                State code<span class="asteriskField">*</span>
                            </label>
                            <div class="controls ">
                                <select name="state_code" class="select form-control" required="" id="id_state_code">
                                    <option value="" selected="">---------</option>
                                    {% for item in update.state_list %}
                                        <option {% if item.state_code == update.state %}selected{% endif %} value="{{item.pk}}">{{item.state_code}}</option>
                                    {% endfor %}
                                </select>
                            </div>
                        </div>
                    {% else %}
                        {{form.state_code|as_crispy_field}}
                    {% endif %}
                </div>
            

            
                <div class="form-group col-md-12 col-sm-12">
                    <div class="form-group">
                        <label class="control-label ">City code*</label>
                        <div class="controls">
                            <select name="city_code" required="" id="id_city_code" class="select form-control">
                                <option value="">---------</option>
                                {% if dealer %}
                                    {% for item in update.city_list %}
                                        <option {% if item.city_code == update.city %}selected{% endif %} value="{{item.pk}}">{{item.city_code}}</option>
                                    {% endfor %}
                                {% endif %}
                            </select>
                        </div>
                    </div>
                </div>
            
                <!-- <div class="form-group col-md-12 col-sm-12">
                    {{form.city_code|as_crispy_field}}
                </div> -->
            

            <div class="form-group col-md-12 col-sm-12">
                {{form.region_id|as_crispy_field}}
            </div>

            <!--<div class="form-group col-md-12 col-sm-12">-->
                <!--{% if update %}-->
                <!--<label for="city" class="control-label ">City</label>-->
                <!--<input id="city" type="text" name="city" value="{{ update.city }}"-->
                       <!--class="textinput textInput form-control">-->
                <!--{% else %}-->
                <!--<label for="city" class="control-label ">City</label>-->
                <!--<input type="text" name="city" value="{{ city }}"-->
                       <!--class="textinput textInput form-control">-->
                <!--{% endif %}-->
            <!--</div>-->

            <div class="form-group col-md-12 col-sm-12">
                {{form.pincode|as_crispy_field}}
            </div>

            <div class="form-group col-md-12 col-sm-12">
                {{form.email|as_crispy_field}}
            </div>

            <div class="form-group col-md-12 col-sm-12">
                {{form.owner_name|as_crispy_field}}
            </div>

            <div class="form-group col-md-12 col-sm-12">
                {{form.primary_contact|as_crispy_field}}
                <!-- <p id="errorprimarycontact" class="help-block"><strong>This field is required.</strong></p> -->
            </div>

            <div class="form-group col-md-12 col-sm-12">
                {{form.alternate_contact|as_crispy_field}}
            </div>

            <!--*****************************-->
            <div class="form-group col-md-12 col-sm-12">
                <div class="form-group">
                    <label class="control-label ">SR ID*</label>
                    <div class="controls ">
                        <select name="sr_code" required="" id="id_sr_code" class="select form-control">
                            <option value="">---------</option>
                            {% for item in sr_list %}
                            <option {% if item.user_code == sr.user_code %}selected{% endif %} value="{{item.id}}">{{item.user_code}}</option>
                            {% endfor %}
                        </select>
                    </div>
                </div>
            </div>
            <!--*****************************-->

            <div class="form-group col-md-12 col-sm-12">
                {% if update %}

                <label for="gst_no" class="control-label ">GST No</label>
                <input id="gst_no" type="text" name="gst_no" value="{{ update.gst_no }}"
                       class="textinput textInput form-control">
                {% else %}
                <label for="gst_no" class="control-label ">GST No</label>
                <input type="text" name="gst_no"  id="gst_no" value="{{ gst_no }}"
                       class="textinput textInput form-control">
                {% endif %}
            </div>

            <div class="form-group col-md-12 col-sm-12">
                {% if update %}
                <label for="pan_no" class="control-label ">PAN No</label>
                <input id="pan_no" type="text"  name="pan_no" value="{{ update.pan_no }}"
                       class="textinput textInput form-control">
                {% else %}
                <label for="pan_no" class="control-label ">PAN No</label>
                <input type="text" name="pan_no" id="pan_no" value="{{ pan_no }}"
                       class="textinput textInput form-control">
                {% endif %}
            </div>

            <div class="form-group col-md-12 col-sm-12">
                {% if update %}
                <label for="Aadhaar_No" class="control-label ">Aadhaar No</label>
                <input id="Aadhaar_No" type="text"  name="Aadhaar_No" value="{{ update.Aadhaar_No }}"
                       class="textinput textInput form-control">
                {% else %}
                <label for="Aadhaar_No" class="control-label ">Aadhaar No</label>
                <input type="text" name="Aadhaar_No" id="Aadhaar_No"  value="{{ Aadhaar_No }}"
                       class="textinput textInput form-control">
                {% endif %}
            </div>

            <!--=====================================-->
            <div class="form-group col-md-12 col-sm-12">
                <label for="min_order_amount" class="control-label ">Min Order Amount*</label>
                <input id="id_min_order_amount" type="number" min="0" name="min_order_amount" value="{{ update.min_order_amount|floatformat:'0' }}"
                       class="textinput textInput form-control">
            </div>

            <div class="form-group col-md-12 col-sm-12">
                <label for="max_outstanding_threshold" class="control-label ">Max Outstanding Threshold*</label>
                <input id="id_max_outstanding_threshold" type="number" min="0" name="max_outstanding_threshold" value="{{ update.max_outstanding_threshold|floatformat:'0' }}"
                       class="textinput textInput form-control">
            </div>

            <div class="form-group col-md-12 col-sm-12">
                <label for="credit_days" class="control-label ">Credit Days*</label>
                <input id="id_credit_days" type="number"  min="0" name="credit_days" value="{{ update.credit_days }}"
                       class="textinput textInput form-control">
            </div>
            <!--=====================================-->

            <div class="form-group col-md-12 col-sm-12">
                {{form.cd_slab_code|as_crispy_field}}
            </div>

            <div class="form-group col-md-12 col-sm-12 text-right">
                <input type="submit" value="Submit" class="btn btn-primary"/>
            </div>

        </div>
    </form>
</div>

{% endblock %}

{% block extra_script_block %}
    {{ block.super }}
    <script>
        <!--$( document ).ready(function() {-->
                <!--$("#id_state_code").change(function(){-->
                    <!--var dropid=$(this).val();-->
                    <!--street(dropid,0)-->
                <!--});-->
            <!--var hdnstate=$('#hdnstate').val();-->
            <!--var hdncity=$('#hdncity').val();-->
            <!--if (hdnstate!='' && hdnstate!=undefined){-->
                <!--$("#id_state_code option:contains(" +hdnstate + ")").attr('selected', 'selected');-->
                <!--if (hdncity!='' && hdncity!=undefined){-->
                    <!--street($('#id_state_code').val(),hdncity)-->
                <!--}-->
            <!--}-->

        <!--});-->
       
        function street(sid,cid){
                var htmldata="";
                var format=''
                $.ajax({
                    url: "/user/load-city/"+sid,
                    type: "get",
                    contentType: "text/plain",
                    success: function (streetlist) {
                    $.each(streetlist, function (i, setting) {
                        format+='<option value="'+setting.cityid+'">'+setting.citycode+'</option>'
                    })
                    if (cid!=0){
                        $('#id_city_code').html(format);
                        $("#id_city_code option:contains(" + cid + ")").attr('selected', 'selected');
                    }
                    else{
                        $('#id_city_code').html(format);
                    }   
                    
                }
                });
            }
        $(document).ready(function(){

            $('#txtbrand').val($("#top_brand").val());
            // **********
            $("#id_state_code option:contains(" + $("#myState").val() + ")").attr('selected', 'selected');
            // **********

            $("#id_state_code").change(function(){
                var url = '/master/get/states/'+$(this).val();
                $.ajax({
                    type:'get',
                    url:url,
                    success: function(res){
                        $("#id_city_code option").remove();
                        $("#id_city_code").append(res);
                        $('select').select2();
                    }
                });
            });

            // ...

            $("#myForm").submit(function(event) {
                var flag = true;

                // Dealer Validation
                if($('#id_dealer').val() == ""){
                    $('#id_dealer').parent().parent().addClass('has-error')
                    $('#error_1_id_dealer').remove();
                    $('#id_dealer').parent().append('<p id="error_1_id_dealer" class="help-block"><strong>This field is required.</strong></p>');
                    flag = false;
                }
                
                var shipping=$('#id_shipping_address').val();
                if (shipping=="" || shipping==undefined)
                {
                    $('#id_shipping_address').parent().parent().addClass('has-error')
                    $('#error_1_id_shipping_address').remove();
                    $('#id_shipping_address').parent().append('<p id="error_1_id_shipping_address" class="help-block"><strong>This field is required.</strong></p>');
                    flag = false;
                }
                
                // SR Validation
                if($('#id_sr_code').val() == ""){
                    $('#id_sr_code').parent().parent().addClass('has-error')
                    $('#error_1_id_sr_code').remove();
                    $('#id_sr_code').parent().append('<p id="error_1_id_sr_code" class="help-block"><strong>This field is required.</strong></p>');
                    flag = false;
                }
                
                if($('#id_credit_days').val() == ""){
                    $('#id_credit_days').parent().addClass('has-error')
                    $('#error_1_id_credit_days').remove();
                    $('#id_credit_days').parent().append('<p id="error_1_id_credit_days" class="help-block"><strong>This field is required.</strong></p>');
                    flag = false;
                }
               
                

                var mob=$('#id_primary_contact').val();
                if (mob=="" || mob==undefined)
                {
                    mob="0"
                }
                //alert(mob.toString().length);
                if(mob.toString().length <10 || mob.toString().length>10){
                    $('#id_primary_contact').parent().parent().addClass('has-error')
                    $('#error_1_primary_contact').remove();
                    $('#id_primary_contact').parent().append('<p id="error_1_primary_contact" class="help-block"><strong>Please enter 10 digit Number.</strong></p>');
                    flag = false;
                }
                
            

                <!--var gstval=$('#gst_no').val();-->
                <!--if (gstval=="" || gstval==undefined)-->
                <!--{-->
                    <!--gstval="0"-->
                <!--}-->
                <!--if(gstval.toString().length <15 || gstval.toString().length>15){-->
                    <!--$('#gst_no').parent().addClass('has-error')-->
                    <!--$('#error_1_gst_no').remove();-->
                    <!--$('#gst_no').parent().append('<p id="error_1_gst_no" class="help-block"><strong>Please enter 15 digit GST Number.</strong></p>');-->
                    <!--flag = false;-->
                <!--}-->
                <!---->
                <!--var pan=$('#pan_no').val();-->
                <!--if (pan=="" || pan==undefined)-->
                <!--{-->
                    <!--pan="0"-->
                <!--}-->
                <!--//alert(mob.toString().length);-->
                <!--if(pan.toString().length <10 || pan.toString().length>10){-->
                    <!--$('#pan_no').parent().addClass('has-error')-->
                    <!--$('#error_1_pan_no').remove();-->
                    <!--$('#pan_no').parent().append('<p id="error_1_pan_no" class="help-block"><strong>Please enter 10 digit PAN Number.</strong></p>');-->
                    <!--flag = false;-->
                <!--}-->
                <!---->
                <!--var aadhar=$('#Aadhaar_No').val();-->
                <!--if (aadhar=="" || aadhar==undefined)-->
                <!--{-->
                    <!--aadhar="0"-->
                <!--}-->
                <!--//alert(mob.toString().length);-->
                <!--if(aadhar.toString().length <12 || aadhar.toString().length>12){-->
                    <!--$('#Aadhaar_No').parent().addClass('has-error')-->
                    <!--$('#error_1_Aadhaar_No').remove();-->
                    <!--$('#Aadhaar_No').parent().append('<p id="error_1_Aadhaar_No" class="help-block"><strong>Please enter 12 digit AADHAAR Number.</strong></p>');-->
                    <!--flag = false;-->
                <!--}-->
                
                if(parseInt($('#id_min_order_amount').val()) <= parseInt($('#id_max_outstanding_threshold').val())){

                    if($('#id_min_order_amount').val() == ""){
                        $('#id_min_order_amount').parent().addClass('has-error')
                        $('#error_2_id_min_order_amount').remove();
                        $('#id_min_order_amount').parent().append('<p id="error_2_id_min_order_amount" class="help-block"><strong>This field is required.</strong></p>');
                        flag = false;
                    }

                    if($('#id_max_outstanding_threshold').val() == ""){
                        $('#id_max_outstanding_threshold').parent().addClass('has-error')
                        $('#error_1_id_max_outstanding_threshold').remove();
                        $('#id_max_outstanding_threshold').parent().append('<p id="error_1_id_max_outstanding_threshold" class="help-block"><strong>This field is required.</strong></p>');
                        flag = false;
                    }
                }
                
                return flag;
            });
        });
    </script>
{% endblock %}
